<!-- side modal -->
<app-side-modal (closeClick)="emitCloseClick()">
  <!-- user info -->
  <app-side-device-info (viewInit)="onInfoInit($event)" [device]="device"></app-side-device-info>

  <!-- switch by view -->
  <ng-container [ngSwitch]="view">
    <!-- default -->
    <ng-container *ngSwitchCase="'default'">
      <!-- profile -->
      <app-device-info-default
        (cancelClick)="closeClick.emit()"
        (editClick)="toEdit()"
        [style.hegiht]="contentHeight"
        [device]="device"
      ></app-device-info-default>
    </ng-container>

    <!-- edit -->
    <ng-container *ngSwitchCase="'edit'">
      <!-- edit profile -->
      <app-device-info-edit
        (cancelClick)="toDefault()"
        (saved)="onDeviceSaved($event)"
        [style.hegiht]="contentHeight"
        [device]="device"
      ></app-device-info-edit>
    </ng-container>
  </ng-container>
</app-side-modal>
